Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# FontFactoryInterface Class Reference

The FontFactoryInterface class provides an interface for adding font renderers to Qtopia. More...

`#include <qtopia/fontfactoryinterface.h>`

List of all member functions.

## Public Members

- virtual QFontFactory * fontFactory () = 0

## Detailed Description

The FontFactoryInterface class provides an interface for adding font renderers to Qtopia.

Font factories may be added to Qtopia via plugins. In order to write a font factory plugin you must create an interface to your QFontFactory derived class by deriving from the FontFactoryInterface class and implementing the fontFactory() function.

You must also subclass QRenderedFont to provide the actual rendering implementation.

## Member Function Documentation

### QFontFactory * FontFactoryInterface::fontFactory ()`[pure virtual]`

Returns an instance of your font factory. You should always return the same font factory instance if this function is called multiple times.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.